import { LitElement } from 'lit';
export declare const ICON_MEGAPORT = "icon-megaport";
export declare class IconMegaportComponent extends LitElement {
    static readonly defaultTagName = "icon-megaport";
    static styles: any;
    size?: string;
    scheme?: string;
    private rootClassesParts;
    willUpdate(): void;
    protected render(): any;
}
